# Class: Example.Animal.Lion

Defined in: | node_modules/grunt-codo/node_modules/codo/spec/_templates/example/src/lion.coffee
Inherits: | Example.Animal
Extends: | MissingMixin
Includes: | Example.AngryAnimal

## Overview

A dangerous lion. Take care.

### Author:

- Simba

### See also:

- http://en.wikipedia.org/wiki/Lion

## Variables Summary

MAX_SPEED =

      50

  Maximum speed in MPH

### Variable inherited from Example.Animal

ANSWER

## Instance Method Summary

- # (void) move(direction, speed) Move the lion fast
- # (void) escape(direction) Escape at maximum speed.

## Inherited Method Summary

### Methods inherited from Example.Animal

#move #copulate .enterArk

## Extended Method Summary

### Methods extended from MissingMixin

## Included Method Summary

### Methods included from Example.AngryAnimal

#roar

## Instance Method Details

# (void) move(direction, speed)

Move the lion fast

### Parameters:

- direction ( `String` ) — the moving direction
- speed ( `Number` ) — the moving speed

# (void) escape(direction)

Escape at maximum speed.

@param (see #move)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input